#ifndef DIALOGS_H_INCLUDED
#define DIALOGS_H_INCLUDED

////////////////////////////////////
// custom dialog defines
// copied from WinUser.h
#define EM_LIMITTEXT32		0x00c5
#define WM_ENABLE			0x000a
#define WM_SETFOCUS			0x0007
#define EM_SETREADONLY		0x00cf

// create new account panel
#define ACCOUNT_INFO	13033
#define ACCOUNT_ID		1025
#define ACCOUNT_PASS1	1026
#define ACCOUNT_PASS2	1027
#define BN_CREATE		1029
#define BN_NO_CREATE	1028

// select existing account panel
#define SELECT_ACCT		13034
#define IDC_LIST		1030
#define IDC_COMBO		1031

// existing account password panel
#define ACCT_PASSWD		13035

// used on alot of the panels
#define BN_NEXT			1
#define BN_BACK			12
// end of custom dialogs
////////////////////////////////

// functions in Dialogs.rul
prototype GetAccountInfo( BYREF STRING, BYREF STRING );
prototype GetExistingAccount( BYREF STRING, BYREF STRING );
prototype GetAccountPassword( BYREF STRING );
prototype HandleAddUserAccountError( NUMBER );
prototype SetAccountPolicies( STRING );

#endif // DIALOGS_H_INCLUDED

